# Class SystemPropertySource

java.lang.Object
org.apache.tomcat.util.digester.SystemPropertySource

All Implemented Interfaces:
  `IntrospectionUtils.PropertySource`

public class SystemPropertySource extends Object implements IntrospectionUtils.PropertySource
A `IntrospectionUtils.PropertySource` that uses system properties to resolve expressions. This property source is always active by default.

See Also:
  - `Digester`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SystemPropertySource()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getProperty(String key)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SystemPropertySource

    public SystemPropertySource()

- ## Method Details

  - ### getProperty

    public String getProperty(String key)
    Specified by:
      `getProperty` in interface `IntrospectionUtils.PropertySource`